package editeur;

import java.awt.Color;
import java.awt.Graphics;

public class FormeColoree implements Forme {
	Forme delegue;
	Color color;

	public FormeColoree(Forme f, Color c) {
		this.delegue = f;
		this.color = c;
	}

	public void dessine(Graphics g) {
		Color c = g.getColor();
		g.setColor(color);
		delegue.dessine(g);
		g.setColor(c);
	}

}
